Name:          yakuake
Version:       25.04.1
Release:       1mamba
Summary:       Yakuake is a Quake-style terminal emulator based on KDE Konsole technology
Group:         Graphical Desktop/Applications/Utilities
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://apps.kde.org/system/yakuake/
Source:        https://download.kde.org/%{stable_kde6}/release-service/%{version}/src/yakuake-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libQt6Core
BuildRequires: libQt6DBus
BuildRequires: libQt6Gui
BuildRequires: libQt6Network
BuildRequires: libQt6Widgets
BuildRequires: libQt6Xml
BuildRequires: libX11-devel
BuildRequires: libgcc
BuildRequires: libglvnd-devel
BuildRequires: libkf6-attica-devel
BuildRequires: libkf6-karchive-devel
BuildRequires: libkf6-kcolorscheme-devel
BuildRequires: libkf6-kconfig-devel
BuildRequires: libkf6-kconfigwidgets-devel
BuildRequires: libkf6-kcoreaddons-devel
BuildRequires: libkf6-kcrash-devel
BuildRequires: libkf6-kdbusaddons-devel
BuildRequires: libkf6-kglobalaccel-devel
BuildRequires: libkf6-kguiaddons-devel
BuildRequires: libkf6-ki18n-devel
BuildRequires: libkf6-kiconthemes-devel
BuildRequires: libkf6-kio-devel
BuildRequires: libkf6-knewstuff-devel
BuildRequires: libkf6-knotifications-devel
BuildRequires: libkf6-knotifyconfig-devel
BuildRequires: libkf6-kparts-devel
BuildRequires: libkf6-kstatusnotifieritem-devel
BuildRequires: libkf6-kwidgetsaddons-devel
BuildRequires: libkf6-kwindowsystem-devel
BuildRequires: libkf6-kxmlgui-devel
BuildRequires: libkwayland-devel
BuildRequires: libstdc++6-devel
BuildRequires: libxkbcommon-devel
## AUTOBUILDREQ-END

%description
Yakuake is a Quake-style terminal emulator based on KDE Konsole technology.


%prep
%setup -q

%build
%cmake_kf6
%cmake_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%cmake_install
%find_lang %{name}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/yakuake
%{_datadir}/applications/org.kde.yakuake.desktop
%{_datadir}/dbus-1/services/org.kde.yakuake.service
%{_datadir}/metainfo/org.kde.yakuake.appdata.xml
%{_datadir}/icons/hicolor/*/apps/yakuake.png
%{_datadir}/knotifications6/yakuake.notifyrc
%{_datadir}/knsrcfiles/yakuake.knsrc
%dir %{_datadir}/yakuake
%dir %{_datadir}/yakuake/skins
%{_datadir}/yakuake/skins/README
%dir %{_datadir}/yakuake/skins/default
%{_datadir}/yakuake/skins/default/*
%dir %{_datadir}/yakuake/skins/legacy
%{_datadir}/yakuake/skins/legacy/*
%dir %{_datadir}/yakuake/skins/plastik_dark
%{_datadir}/yakuake/skins/plastik_dark/*
%dir %{_datadir}/yakuake/skins/plastik_light
%{_datadir}/yakuake/skins/plastik_light/*
%doc AUTHORS LICENSES

%changelog
* Mon May 12 2025 Automatic Build System <autodist@openmamba.org> 25.04.1-1mamba
- automatic version update by autodist

* Mon Apr 21 2025 Automatic Build System <autodist@openmamba.org> 25.04.0-1mamba
- automatic version update by autodist

* Sun Mar 09 2025 Automatic Build System <autodist@openmamba.org> 24.12.3-1mamba
- automatic version update by autodist

* Sat Feb 08 2025 Automatic Build System <autodist@openmamba.org> 24.12.2-1mamba
- automatic version update by autodist

* Sat Jan 11 2025 Automatic Build System <autodist@openmamba.org> 24.12.1-1mamba
- automatic version update by autodist

* Sat Dec 14 2024 Automatic Build System <autodist@openmamba.org> 24.12.0-1mamba
- automatic version update by autodist

* Fri Nov 08 2024 Automatic Build System <autodist@openmamba.org> 24.08.3-1mamba
- automatic version update by autodist

* Sat Oct 12 2024 Automatic Build System <autodist@openmamba.org> 24.08.2-1mamba
- automatic version update by autodist

* Sun Sep 15 2024 Automatic Build System <autodist@openmamba.org> 24.08.1-1mamba
- automatic version update by autodist

* Sun Aug 25 2024 Automatic Build System <autodist@openmamba.org> 24.08.0-1mamba
- automatic version update by autodist

* Fri Jul 05 2024 Automatic Build System <autodist@openmamba.org> 24.05.2-1mamba
- automatic version update by autodist

* Fri Jun 14 2024 Automatic Build System <autodist@openmamba.org> 24.05.1-1mamba
- automatic version update by autodist

* Sat May 25 2024 Automatic Build System <autodist@openmamba.org> 24.05.0-1mamba
- automatic version update by autodist

* Sat Apr 13 2024 Automatic Build System <autodist@openmamba.org> 24.02.2-1mamba
- automatic version update by autodist

* Fri Mar 22 2024 Automatic Build System <autodist@openmamba.org> 24.02.1-1mamba
- automatic version update by autodist

* Wed Feb 28 2024 Automatic Build System <autodist@openmamba.org> 24.02.0-1mamba
- automatic version update by autodist

* Fri Feb 16 2024 Automatic Build System <autodist@openmamba.org> 23.08.5-1mamba
- automatic version update by autodist

* Fri Dec 08 2023 Automatic Build System <autodist@mambasoft.it> 23.08.4-1mamba
- automatic version update by autodist

* Fri Nov 10 2023 Automatic Build System <autodist@mambasoft.it> 23.08.3-1mamba
- automatic version update by autodist

* Sat Oct 14 2023 Automatic Build System <autodist@mambasoft.it> 23.08.2-1mamba
- automatic version update by autodist

* Fri Sep 15 2023 Automatic Build System <autodist@mambasoft.it> 23.08.1-1mamba
- automatic version update by autodist

* Sat Aug 26 2023 Automatic Build System <autodist@mambasoft.it> 23.08.0-1mamba
- automatic version update by autodist

* Sat Jul 08 2023 Automatic Build System <autodist@mambasoft.it> 23.04.3-1mamba
- automatic version update by autodist

* Sat Jun 10 2023 Automatic Build System <autodist@mambasoft.it> 23.04.2-1mamba
- automatic version update by autodist

* Fri May 12 2023 Automatic Build System <autodist@mambasoft.it> 23.04.1-1mamba
- automatic version update by autodist

* Sat Apr 22 2023 Automatic Build System <autodist@mambasoft.it> 23.04.0-1mamba
- automatic version update by autodist

* Sat Mar 04 2023 Automatic Build System <autodist@mambasoft.it> 22.12.3-1mamba
- automatic version update by autodist

* Sun Feb 05 2023 Automatic Build System <autodist@mambasoft.it> 22.12.2-1mamba
- automatic version update by autodist

* Fri Jan 06 2023 Automatic Build System <autodist@mambasoft.it> 22.12.1-1mamba
- automatic version update by autodist

* Fri Dec 09 2022 Automatic Build System <autodist@mambasoft.it> 22.12.0-1mamba
- automatic version update by autodist

* Sat Nov 05 2022 Automatic Build System <autodist@mambasoft.it> 22.08.3-1mamba
- automatic version update by autodist

* Mon Oct 17 2022 Automatic Build System <autodist@mambasoft.it> 22.08.2-1mamba
- automatic version update by autodist

* Sun Sep 11 2022 Automatic Build System <autodist@mambasoft.it> 22.08.1-1mamba
- automatic version update by autodist

* Mon Aug 22 2022 Automatic Build System <autodist@mambasoft.it> 22.08.0-1mamba
- automatic version update by autodist

* Sat Jul 09 2022 Automatic Build System <autodist@mambasoft.it> 22.04.3-1mamba
- automatic version update by autodist

* Sat Jun 11 2022 Automatic Build System <autodist@mambasoft.it> 22.04.2-1mamba
- automatic version update by autodist

* Sat May 14 2022 Automatic Build System <autodist@mambasoft.it> 22.04.1-1mamba
- automatic version update by autodist

* Mon Apr 25 2022 Automatic Build System <autodist@mambasoft.it> 22.04.0-1mamba
- automatic version update by autodist

* Sat Mar 05 2022 Automatic Build System <autodist@mambasoft.it> 21.12.3-1mamba
- automatic version update by autodist

* Sat Feb 05 2022 Automatic Build System <autodist@mambasoft.it> 21.12.2-1mamba
- automatic version update by autodist

* Sat Jan 08 2022 Automatic Build System <autodist@mambasoft.it> 21.12.1-1mamba
- automatic version update by autodist

* Mon Dec 13 2021 Automatic Build System <autodist@mambasoft.it> 21.12.0-1mamba
- automatic version update by autodist

* Fri Nov 05 2021 Automatic Build System <autodist@mambasoft.it> 21.08.3-1mamba
- automatic version update by autodist

* Sun Oct 10 2021 Automatic Build System <autodist@mambasoft.it> 21.08.2-1mamba
- automatic version update by autodist

* Fri Sep 03 2021 Automatic Build System <autodist@mambasoft.it> 21.08.1-1mamba
- automatic version update by autodist

* Thu Aug 19 2021 Automatic Build System <autodist@mambasoft.it> 21.08.0-1mamba
- automatic version update by autodist

* Fri Jul 09 2021 Automatic Build System <autodist@mambasoft.it> 21.04.3-1mamba
- automatic version update by autodist

* Fri Jun 18 2021 Automatic Build System <autodist@mambasoft.it> 21.04.2-1mamba
- automatic version update by autodist

* Thu May 13 2021 Automatic Build System <autodist@mambasoft.it> 21.04.1-1mamba
- automatic version update by autodist

* Sun Apr 25 2021 Automatic Build System <autodist@mambasoft.it> 21.04.0-1mamba
- automatic version update by autodist

* Sat Mar 06 2021 Automatic Build System <autodist@mambasoft.it> 20.12.3-1mamba
- automatic version update by autodist

* Sat Feb 06 2021 Automatic Build System <autodist@mambasoft.it> 20.12.2-1mamba
- automatic version update by autodist

* Sat Jan 09 2021 Automatic Build System <autodist@mambasoft.it> 20.12.1-1mamba
- automatic version update by autodist

* Sun Dec 20 2020 Automatic Build System <autodist@mambasoft.it> 20.12.0-1mamba
- automatic version update by autodist

* Fri Nov 06 2020 Automatic Build System <autodist@mambasoft.it> 20.08.3-1mamba
- automatic version update by autodist

* Sat Oct 10 2020 Automatic Build System <autodist@mambasoft.it> 20.08.2-1mamba
- automatic version update by autodist

* Fri Sep 04 2020 Automatic Build System <autodist@mambasoft.it> 20.08.1-1mamba
- automatic version update by autodist

* Sun Aug 16 2020 Automatic Build System <autodist@mambasoft.it> 20.08.0-1mamba
- automatic version update by autodist

* Sat Jul 11 2020 Automatic Build System <autodist@mambasoft.it> 20.04.3-1mamba
- automatic version update by autodist

* Fri Jun 12 2020 Automatic Build System <autodist@mambasoft.it> 20.04.2-1mamba
- automatic version update by autodist

* Sat May 16 2020 Automatic Build System <autodist@mambasoft.it> 20.04.1-1mamba
- automatic version update by autodist

* Fri Apr 24 2020 Automatic Build System <autodist@mambasoft.it> 20.04.0-1mamba
- automatic version update by autodist

* Sat Mar 07 2020 Automatic Build System <autodist@mambasoft.it> 19.12.3-1mamba
- automatic version update by autodist

* Sun Feb 09 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 19.12.2-1mamba
- update to 19.12.2

* Mon Aug 13 2018 Automatic Build System <autodist@mambasoft.it> 3.0.5-1mamba
- automatic version update by autodist

* Mon Aug 14 2017 Automatic Build System <autodist@mambasoft.it> 3.0.4-1mamba
- automatic version update by autodist

* Sat Apr 30 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.2-1mamba
- update to 3.0.2

* Tue Oct 23 2012 Automatic Build System <autodist@mambasoft.it> 2.9.9-1mamba
- update to 2.9.9

* Tue Aug 16 2011 Automatic Build System <autodist@mambasoft.it> 2.9.8-1mamba
- automatic version update by autodist

* Mon Jul 19 2010 Automatic Build System <autodist@mambasoft.it> 2.9.7-1mamba
- automatic update by autodist

* Fri May 22 2009 Automatic Build System <autodist@mambasoft.it> 2.9.6-1mamba
- automatic update by autodist

* Thu Oct 23 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.9.4-1mamba
- automatic update by autodist

* Sun Jul 15 2007 rik <rik@alice.it> 2.7.5-1mamba
- package created by autospec 
